org.jboss.resteasy.plugins.providers.multipart

## Class MultipartFormDataInputImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl
  - - org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInputImpl

- All Implemented Interfaces:
    MultipartFormDataInput, MultipartInput

      public class MultipartFormDataInputImpl
      extends MultipartInputImpl
      implements MultipartFormDataInput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `MultipartInputImpl.PartImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,InputPart>` | `formData`
    `protected Map<String,List<InputPart>>` | `formDataMap`

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `contentType, defaultPartCharset, defaultPartContentType, empty, mimeMessage, parts, workers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartFormDataInputImpl(MediaType contentType, Providers workers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InputPart` | `extractPart(org.apache.james.mime4j.message.BodyPart bodyPart)`
    `protected void` | `finalize()`
    `Map<String,InputPart>` | `getFormData()` Deprecated.
    `Map<String,List<InputPart>>` | `getFormDataMap()`
    `<T> T` | `getFormDataPart(String key, Class<T> rawType, Type genericType)`
    `<T> T` | `getFormDataPart(String key, GenericType<T> type)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl

      `addHeaderToHeadlessStream, close, createHeaderInputStream, extractParts, getCharset, getParts, getPreamble, main, parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.plugins.providers.multipart.MultipartInput

      `close, getParts, getPreamble`

- - ### Field Detail

    - #### formData

          protected Map<String,InputPart> formData

    - #### formDataMap

          protected Map<String,List<InputPart>> formDataMap

  - ### Constructor Detail

    - #### MultipartFormDataInputImpl

          public MultipartFormDataInputImpl(MediaType contentType,
                                    Providers workers)

  - ### Method Detail

    - #### getFormData

          @Deprecated
          public Map<String,InputPart> getFormData()

      Deprecated.
      Description copied from interface: `MultipartFormDataInput`
      Will be removed in the future. Use `MultipartFormDataInput.getFormDataMap()` instead.
      Specified by:
        `getFormData` in interface `MultipartFormDataInput`
      Returns:
        A parameter map containing only one value per name.

    - #### getFormDataMap

          public Map<String,List<InputPart>> getFormDataMap()

      Specified by:
        `getFormDataMap` in interface `MultipartFormDataInput`
      Returns:
        A parameter map containing a list of values per name.

    - #### getFormDataPart

          public <T> T getFormDataPart(String key,
                              Class<T> rawType,
                              Type genericType)
                            throws IOException

      Specified by:
        `getFormDataPart` in interface `MultipartFormDataInput`
      Throws:
        `IOException`

    - #### getFormDataPart

          public <T> T getFormDataPart(String key,
                              GenericType<T> type)
                            throws IOException

      Specified by:
        `getFormDataPart` in interface `MultipartFormDataInput`
      Throws:
        `IOException`

    - #### extractPart

          protected InputPart extractPart(org.apache.james.mime4j.message.BodyPart bodyPart)
                                   throws IOException

      Overrides:
        `extractPart` in class `MultipartInputImpl`
      Throws:
        `IOException`

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `MultipartInputImpl`
      Throws:
        `Throwable`

Copyright © 2014. All Rights Reserved.